gtkmm 2.4: Atk::ObjectAccessible Class Reference

Main Page Widgets Namespaces Book

# Atk::ObjectAccessible Class Reference

Inheritance diagram for Atk::ObjectAccessible:

[legend]
List of all members.

## Detailed Description

This object class is derived from AtkObject and can be used as a basis implementing accessible objects.

This can be used as a basis for implementing accessible objects for Glib::Objects which are not derived from Gtk::Widget. One example of its use is in providing an accessible object for GnomeCanvasItem in the GAIL library.

## Public Member Functions
const AtkGObjectAccessible* | gobj () const
| Provides access to the underlying C GObject.
AtkGObjectAccessible* | gobj ()
| Provides access to the underlying C GObject.
AtkGObjectAccessible* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
virtual | ~ObjectAccessible ()
## Protected Member Functions
Glib::RefPtr<const Glib::Object> | get_object () const
| Gets the GObject for which obj is the accessible object.
Glib::RefPtr<Glib::Object> | get_object ()
| Gets the GObject for which obj is the accessible object.
## Static Protected Member Functions
static Glib::RefPtr< const Atk::Object > | for_object (const Glib::RefPtr<const Glib::Object>& obj)
| Gets the accessible object for the specified obj .
static Glib::RefPtr<Atk::Object> | for_object (const Glib::RefPtr<Glib::Object>& obj)
| Gets the accessible object for the specified obj .
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Atk::ObjectAccessible> | wrap (AtkGObjectAccessible* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Atk::ObjectAccessible::~ObjectAccessible | ( |  | ) | `[virtual]`

## Member Function Documentation

static Glib::RefPtr<const Atk::Object> Atk::ObjectAccessible::for_object | ( | const Glib::RefPtr<const Glib::Object>& | obj | ) | `[static, protected]`

  | Gets the accessible object for the specified obj . Parameters:
  | obj | A G::Object.
Returns: A Atk::Object which is the accessible object for the obj .

static Glib::RefPtr<Atk::Object> Atk::ObjectAccessible::for_object | ( | const Glib::RefPtr<Glib::Object>& | obj | ) | `[static, protected]`

  | Gets the accessible object for the specified obj . Parameters:
  | obj | A G::Object.
Returns: A Atk::Object which is the accessible object for the obj .

Glib::RefPtr<const Glib::Object> Atk::ObjectAccessible::get_object | ( |  | ) | const`[protected]`

| Gets the GObject for which obj is the accessible object. Returns: A G::Object which is the object for which obj is the accessible objedct.

Glib::RefPtr<Glib::Object> Atk::ObjectAccessible::get_object | ( |  | ) | `[protected]`

| Gets the GObject for which obj is the accessible object. Returns: A G::Object which is the object for which obj is the accessible objedct.

const AtkGObjectAccessible* Atk::ObjectAccessible::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Atk::Object.

AtkGObjectAccessible* Atk::ObjectAccessible::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Atk::Object.

AtkGObjectAccessible* Atk::ObjectAccessible::gobj_copy | ( |  | ) |

| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. Reimplemented from Atk::Object.

## Friends And Related Function Documentation

Glib::RefPtr<Atk::ObjectAccessible> wrap | ( | AtkGObjectAccessible* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- objectaccessible.h